Your Cart
Fastest and most convenient way to contact us is via email at info@itworkup.co.za
All emails will be replied to multiple times within 24 hours.
Alternatively, you can visit our offices.
Thank you for your continued support!
Delock USB Type-C Ladekabel 5 V fr Elektrorasierer kompatibel mit Hatteker RFC-588, RFC-598, RFC-690, RFC-692, RFC-696, RSCX-7568, RSCX-9598 Serie - Rasierer Ladegert Ersatzkabel 1,2 m (91798) – photo 1
DELOCK

Delock USB Type-C Ladekabel 5 V fr Elektrorasierer kompatibel mit Hatteker RFC-588, RFC-598, RFC-690, RFC-692, RFC-696, RSCX-7568, RSCX-9598 Serie - Rasierer Ladegert Ersatzkabel 1,2 m (91798)

R759
incl. VAT: R873
  • Stock: Backordered - delivers in 10-15 days
  • Brand: DELOCK
  • Model: 91798
  • Weight: 0.03 kg
  • EAN: 4043619917983
  • Product code: 1451868
Backordered goods Delivery in 10–15 working days

Available Options

R759 incl. VAT: R873
SavePDF

Description

Delock USB Type-C™ Ladekabel 5 V für Elektrorasierer kompatibel mit Hatteker RFC-588, RFC-598, RFC-690, RFC-692, RFC-696, RSCX-7568, RSCX-9598 Serie - Rasierer Ladegerät Ersatzkabel 1,2 m (91798)